image.ipp File Reference

Inline methods for the claw::graphic::image class. More...

`#include <claw/assert.hpp>`

Go to the source code of this file.

## Functions

template<typename ImageT, typename PixelT>
claw::graphic::image::base_iterator< ImageT, PixelT >::self_type | operator+ (int n, const typename claw::graphic::image::base_iterator< ImageT, PixelT >::self_type &self)
| Get an iterator at a specific distance of the current iterator.

## Detailed Description

Inline methods for the claw::graphic::image class.

Author
  Julien Jorge

Definition in file image.ipp.

## Function Documentation

## operator+()

template<typename ImageT, typename PixelT>

claw::graphic::image::base_iterator< ImageT, PixelT >::self_type operator+ | ( | int | n,
|  | const typename claw::graphic::image::base_iterator< ImageT, PixelT >::self_type & | self )

inline

Get an iterator at a specific distance of the current iterator.

Parameters

  n | The distance of the wanted iterator.
  self | The reference iterator.

Definition at line 260 of file image.ipp.